#include <bits/stdc++.h>

using namespace std;

long long solve(long long p, long long q, long long r, long long right)
{
    if(q*r + p*r + p*q > p*q*r)
    {
        return 0;
    }
    else if(p==q && q==r && r==3)
    {
        return right/3;
    }
    else if((q*r + p*r + p*q == p*q*r) && (q==3 || p==3 || r==3))
    {
        return right/6;
    }
    else if((q*r + p*r + p*q == p*q*r) && (q==4 || p==4 || r==4))
    {
        return right/4;
    }
    else
    {
        long long brojac=0;
        for(long long i=1;i<=min(p*q*r*2, right);i++)
        {
            if(i/p + (i % p != 0) + i/q + (i % q != 0) + i/r + (i % r != 0) > i)
            {
                brojac++;
            }
            else
            {
                //cout << i << " ";
            }
        }
        return right-brojac;
    }
    
}

int main()
{
    long long p, q, r, left, right;
    cin >> p >> q >> r >> left >> right;

    long long sol = solve(p,q,r,right) - solve(p,q,r,left-1);
    cout << sol << endl;

    return 0;
}